. $PSScriptRoot\_TenantSpecifics.ps1;
. $PSScriptRoot\_secRMMSpecifics_DO_NOT_CHANGE.ps1;

Add-Type -AssemblyName Microsoft.VisualBasic;

# az login;
try { 
 $var = Get-AzureADTenantDetail;
} 
catch [Microsoft.Open.Azure.AD.CommonLibrary.AadNeedAuthenticationException] { 
	Connect-AzureAD;
}

$TenantId = $(az account show --query tenantId);

$NameOfAzFunctionApp = $TenantId + $NameOfAzFunctionApp;

$Subscriptions = $(az account list --query "[].{name:name}" --output tsv);
$SubscriptionName = $null;
switch ($Subscriptions.Count)
{
    0 { Write-Error "No Azure Subscriptions exist in tenant $TenantId, script cannot proceed...";}
    1 { $SubscriptionName = $Subscriptions[0]; }
	Default {
		$SubscriptionName = $Subscriptions | Out-GridView -OutputMode Single -Title "Please select an Azure Subscription";
    }
}

if ($SubscriptionName -ne $null) {
	az account set --subscription $SubscriptionName;
}

$SubscriptionId = az account show --query id --output tsv;

$Groups = $(az group list --query "[].{name:name}" --output tsv);
$NameOfAzResourceGroupForStorageAccount = $Groups | Out-GridView -OutputMode Single -Title "Please select the Azure Resource Group containing the Azure Function and Azure Storage Account";

# Write-Host Deleting the secRMM Azure Function App;
# az functionapp delete --name $NameOfAzFunctionApp --resource-group $NameOfAzResourceGroup --output json;
# Write-Host Deleting the secRMM Azure Storage Account for the Function App;
# az storage account delete --name $NameOfStorageAccount --resource-group $NameOfAzResourceGroup --output json;
# Write-Host Deleting the secRMM Azure Resource Group for the Function App;
az group delete --name $NameOfAzResourceGroupForStorageAccount --output json;
